<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="m-portlet m-portlet--mobile" v-cloak>
    <div class="m-portlet__body">
      <div class="row">
        <div class="col-md-8 col-sm-8">
          <h2 class="nt-color-primary" style="font-size:24px">
            {{ helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'order_name', 'attribute_value') }}
            <template
              v-if="detailDeal.transactionStatusCurrent && detailDeal.transactionStatusCurrent.option_value == 'Hoàn thành'"
            >
              <a
                href="#"
                class="m-portlet__nav-link m-dropdown__toggle btn m-btn m-btn--link m-badge m-badge--wide"
                style="background-color: #69BE31; color: #fff;"
              >
                <i class="la la-check" style="font-size: 13px;"></i>&nbsp;Hoàn thành
              </a>
            </template>
            <template
              v-if="detailDeal.transactionStatusCurrent && detailDeal.transactionStatusCurrent.option_value == 'Hủy bỏ'"
            >
              <a
                href="#"
                class="m-portlet__nav-link m-dropdown__toggle btn m-btn m-btn--link m-badge m-badge--wide"
                style="background-color: #B82E45; color: #fff;"
              >
                <i class="la la-close" style="font-size: 13px;"></i>&nbsp;Hủy bỏ
              </a>
            </template>
          </h2>
          <h4
            class="nt-color-primary"
            style="font-size:20px; font-weight: 400"
          >{{ helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'order_code', 'attribute_value') }}</h4>

          <div class="m--margin-top-10 m--margin-bottom-10">
            <show-customer-dropdown
              v-if="detailDeal && detailDeal.customer_id"
              :customer_id="detailDeal.customer_id"
            ></show-customer-dropdown>
          </div>

          <div>
            <label class="nt-label">
              <i class="icon icon-user-1" style="margin-right: 5px;"></i>&nbsp;Người phụ trách: &nbsp;
            </label>
            <template v-if="dealAssigners && dealAssigners.length > 0">
              <div
                class="m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-left m-dropdown--align-push m--margin-right-5 m--margin-bottom-5"
                m-dropdown-toggle="click"
                aria-expanded="true"
                v-for="(assigner, index) in dealAssigners"
                :key="index"
              >
                <div style="display: flex; align-items: center;" v-if="assigner.full_name">
                  <a
                    href="#"
                    class="m-portlet__nav-link m-dropdown__toggle btn m-btn m-btn--link nt-barge-dropdown"
                  >&nbsp;{{ assigner.full_name | truncateWords }}</a>
                </div>

                <div class="m-dropdown__wrapper">
                  <span class="m-dropdown__arrow m-dropdown__arrow--left m-dropdown__arrow--adjust"></span>
                  <div class="m-dropdown__inner">
                    <div class="m-dropdown__body">
                      <div class="m-dropdown__content">
                        <ul class="m-nav">
                          <li
                            class="m-nav__item"
                            style="pointer-events: none;"
                            v-if="assigner.phone_number"
                          >
                            <a href="javascript:;" class="m-nav__link">
                              <i class="m-nav__link-icon icon icon-phone-call"></i>
                              <span
                                class="m-nav__link-text"
                              >{{ assigner.phone_number | formatPhone }}</span>
                            </a>
                          </li>
                          <li
                            class="m-nav__item"
                            style="pointer-events: none;"
                            v-if="assigner.email"
                          >
                            <a href="javascript:;" class="m-nav__link">
                              <i class="m-nav__link-icon icon icon-email"></i>
                              <span class="m-nav__link-text">{{ assigner.email }}</span>
                            </a>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </template>
            <span v-else class="not-value">Chưa cập nhật</span>
          </div>
        </div>
        <div class="col-md-4 col-sm-4">
          <div class="text-right">
            <div class="m--margin-bottom-15">
              <label class="nt-label" style="margin-bottom: 5px;">Tổng giá trị đơn hàng</label>
              <h3
                class="nt-color-primary"
                style="font-size: 24px;"
                v-if="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_transaction_amount', 'attribute_value')"
              >{{ parseInt(helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_transaction_amount', 'attribute_value')) | formatNumberPrice }}</h3>
              <h3 class="nt-color-primary" style="font-size: 24px;" v-else>0</h3>
            </div>

            <div class="m--margin-bottom-15">
              <label class="nt-label" style="margin-bottom: 5px;">Tổng tiền đã thanh toán</label>
              <h3
                class="nt-color-primary"
                style="font-size: 24px;"
                v-if="currentTotalPricePaid"
              >{{ currentTotalPricePaid }}</h3>
              <h3 class="nt-color-primary" style="font-size: 24px;" v-else>0</h3>
            </div>

            <div>
              <label class="nt-label" style="margin-bottom: 5px;">Số tiền còn phải thanh toán</label>
              <h3
                class="nt-color-primary"
                style="font-size: 24px;"
                v-if="currentTotalPriceRemain"
              >{{ currentTotalPriceRemain }}</h3>
              <h3 class="nt-color-primary" style="font-size: 24px;" v-else>0</h3>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12">
        <div
          style="background-color: #F9FAFC; min-height: 88px;"
          class="m-loader m-loader--brand m-loader--lg"
          v-if="isLoaderDealCheckPaymentStatusSuccess"
        ></div>
        <div style="background-color: #F9FAFC; padding: 0 20px;" v-else>
          <div
            class="position-relative d-inline-block w-100"
            v-if="detailDeal && detailDeal.transactionStatus && detailDeal.transactionStatus.length > 0"
          >
            <div class="s--progress-bar__slider nt-scroll-primary" style="overflow: inherit;">
              <div class="m-wizard m-wizard--2 m-wizard--success m-wizard--step-first">
                <div class="m-wizard__head m-portlet__padding-x">
                  <div class="m-wizard__nav">
                    <div class="m-wizard__steps">
                      <div
                        class="m-wizard__step m-dropdown m-dropdown--arrow m-dropdown--align-left m-dropdown--align-push"
                        data-toggle="modal"
                        m-dropdown-toggle="hover"
                        aria-expanded="true"
                        v-for="(item, index) in  detailDeal.transactionStatus"
                        :key="index"
                        :class="{
                                                 'm-wizard__step--active' : item.level == detailDeal.transactionStatusCurrent.level,
                                                 'm-wizard__step--done' : item.level <= detailDeal.transactionStatusCurrent.level,
                                                 'm-wizard__step-one': detailDeal.transactionStatus.length == 1,
                                                 'm-wizard__step--disabled': detailDeal.transactionStatusCurrent.option_value == 'Hoàn thành' || detailDeal.transactionStatusCurrent.option_value == 'Hủy bỏ',
                                                 'm-wizard__step--deal-cancel': detailDeal.transactionStatusCurrent.option_value == 'Hủy bỏ' ,
                                                 'm-wizard__step--deal-success': detailDeal.transactionStatusCurrent.option_value == 'Hoàn thành' ,
                                                 'm-wizard__step--deal-new': detailDeal.transactionStatusCurrent.option_value == 'Mới mở' && detailDeal.transactionStatusCurrent.level == item.level,
                                                 'm-wizard__step--deal-transaction-status-success': item.option_value == 'Hoàn thành'}"
                      >
                        <!-- && detailDeal.transactionStatusCurrent.level == item.level -->

                        <!--  <div class="m-dropdown__wrapper" v-if="detailDeal.transactionStatusCurrent.option_value == 'Hủy bỏ' || detailDeal.transactionStatusCurrent.option_value == 'Hoàn thành'">

                                                     <div class="m-dropdown__inner">
                                                         <div class="m-dropdown__body">
                                                             <div class="m-dropdown__content" style="color: #3f4047;">
                                                                 Không được sửa giao dịch
                                                             </div>
                                                         </div>
                                                     </div>
                        </div>-->

                        <div
                          class="m-dropdown__wrapper m-dropdown__wrapper-transaction-status"
                          v-if="item.option_value == 'Hoàn thành' || (!isDelivered && !isTotalPaidAmount)"
                        >
                          <!--    <div class="m-dropdown__arrow m-dropdown__arrow--left m-dropdown__arrow--adjust" ></div> -->
                          <div class="m-dropdown__inner">
                            <div class="m-dropdown__body">
                              <div class="m-dropdown__content" style="color: #3f4047;">
                                <div
                                  style="margin-bottom: 10px; display: flex; align-items: center;"
                                >
                                  <span
                                    v-if="isDelivered"
                                    style="width: 18px; height: 18px; display: inline-block; border-radius: 50%;background-color: #69BE31; color: #fff; text-align: center; line-height: 20px; border: 1px solid #69BE31; margin-right: 5px;"
                                  >
                                    <i style="font-size: 13px;" class="la la-check"></i>
                                  </span>
                                  <span
                                    v-else
                                    style="width: 18px; height: 18px; display: inline-block; border-radius: 50%;background-color: transparent; color: #fff; text-align: center; line-height: 20px; border: 1px solid #CCD2E2; margin-right: 5px;"
                                  ></span>
                                  Đã giao hàng
                                </div>
                                <div style="display: flex; align-items: center;">
                                  <span
                                    v-if="isTotalPaidAmount"
                                    style="width: 18px; height: 18px; display: inline-block; border-radius: 50%;background-color: #69BE31; color: #fff; text-align: center; line-height: 20px; border: 1px solid #69BE31; margin-right: 5px;"
                                  >
                                    <i style="font-size: 13px;" class="la la-check"></i>
                                  </span>
                                  <span
                                    v-else
                                    style="width: 18px; height: 18px; display: inline-block; border-radius: 50%;background-color: transparent; color: #fff; text-align: center; line-height: 20px; border: 1px solid #CCD2E2; margin-right: 5px;"
                                  ></span>
                                  Đã thanh toán hết
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>

                        <template
                          v-if="detailDeal.transactionStatusCurrent.option_value == 'Hủy bỏ' || detailDeal.transactionStatusCurrent.option_value == 'Hoàn thành'"
                        >
                          <span
                            class="m-wizard__step-number"
                            v-if="item.id == detailDeal.transactionStatusCurrent.id"
                          >
                            <span>
                              <template
                                v-if="detailDeal.transactionStatusCurrent.option_value == 'Hủy bỏ'"
                              >
                                <i class="la la-close"></i>
                              </template>
                              <template v-else>
                                <i class="la la-check"></i>
                              </template>
                            </span>
                          </span>
                          <span v-else class="m-wizard__step-number">
                            <span></span>
                          </span>
                        </template>
                        <template v-else>
                          <span
                            class="m-wizard__step-number"
                            v-if="item.id == detailDeal.transactionStatusCurrent.id"
                          >
                            <span>
                              <template
                                v-if="detailDeal.transactionStatusCurrent.option_value == 'Hủy bỏ'"
                              >
                                <i class="la la-close"></i>
                              </template>
                              <template v-else>
                                <i class="la la-check"></i>
                              </template>
                            </span>
                          </span>
                          <template v-else>
                            <template
                              v-if="item.option_value == 'Hoàn thành' && (!isDelivered || !isTotalPaidAmount)"
                            >
                              <span
                                class="m-wizard__step-number m-wizard__step-number-success-disabled"
                              >
                                <span></span>
                              </span>
                            </template>
                            <template v-else>
                              <template
                                v-if="!accessible( userCheckAddOn, 'deal', PERMISSION_UPDATE_DEAL, userCurrentPermissions)"
                              >
                                <span
                                  class="m-wizard__step-number m-wizard__step-number-success-disabled"
                                >
                                  <span></span>
                                </span>
                              </template>
                              <template v-else>
                                <a
                                  href="#"
                                  class="m-wizard__step-number"
                                  :data-target="'#change_transaction_status' + index"
                                  @click.prevent="showModalTransactionStatus(item, index)"
                                >
                                  <span></span>
                                </a>
                              </template>
                            </template>
                          </template>
                        </template>

                        <div class="m-wizard__step-info">
                          <div class="m-wizard__step-title">
                            <template
                              v-if="item.option_value == 'Hoàn thành' && (!isDelivered || !isTotalPaidAmount)"
                            >
                              <div style="color: #CCD2E2;">{{ item.option_value }}</div>
                            </template>
                            <template v-else>
                              <template
                                v-if="!accessible( userCheckAddOn, 'deal', PERMISSION_UPDATE_DEAL, userCurrentPermissions)"
                              >
                                <!--v-if="detailDeal.productDisabledIds && detailDeal.productDisabledIds.length > 0"-->
                                <div style="color: #CCD2E2;">{{ item.option_value }}</div>
                              </template>
                              <template v-else>{{ item.option_value }}</template>
                            </template>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div
      data-backdrop="static"
      data-keyboard="false"
      class="modal s--modal fade nt--modal-confirm-choice"
      :id="'change_transaction_status' + selectItemIndex"
      v-if="selectItemIndex != null"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <!--<h3 class="nt&#45;&#45;modal-confirm-choice-title">-->
            <!--Thông báo-->
            <!--</h3>-->
            <div class="nt--modal-confirm-choice-content">
              <div class="nt--modal-confirm-choice-content-title-top">
                <template
                  v-if="detailDeal.transactionStatus[selectItemIndex].option_value == 'Mới mở'"
                >
                  Chuyển trạng thái giao dịch "{{ detailDeal.transactionStatusCurrent.option_value }}"
                  thành "
                  <span
                    class="nt-color-warning"
                  >
                    {{
                    detailDeal.transactionStatus[selectItemIndex].option_value }}
                  </span>"
                </template>

                <template
                  v-else-if="detailDeal.transactionStatus[selectItemIndex].option_value == 'Hoàn thành'"
                >
                  Đơn hàng sau khi được chuyển sang trạng thái "
                  <span style="color: #69BE31;">
                    {{
                    detailDeal.transactionStatus[selectItemIndex].option_value }}
                  </span>" sẽ không được chỉnh sửa nữa. Bạn muốn tiếp tục chứ?
                </template>

                <template
                  v-else-if="detailDeal.transactionStatus[selectItemIndex].option_value == 'Hủy bỏ'"
                >
                  Đơn hàng sau khi được chuyển sang trạng thái "
                  <span style="color: #B82E45;">
                    {{
                    detailDeal.transactionStatus[selectItemIndex].option_value }}
                  </span>" sẽ không được chỉnh sửa nữa. Bạn muốn tiếp tục chứ?
                </template>

                <template v-else>
                  <template v-if="detailDeal.transactionStatusCurrent.option_value == 'Mới mở'">
                    Chuyển trạng thái giao dịch "
                    <span
                      class="nt-color-warning"
                    >{{ detailDeal.transactionStatusCurrent.option_value }}</span>
                    "
                    thành "{{
                    detailDeal.transactionStatus[selectItemIndex].option_value }}"
                  </template>
                  <template v-else>
                    Chuyển trạng thái giao dịch "{{ detailDeal.transactionStatusCurrent.option_value }}"
                    thành "{{
                    detailDeal.transactionStatus[selectItemIndex].option_value }}"
                  </template>
                </template>
              </div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              class="nt-button nt-button-secondary mr-2"
              data-dismiss="modal"
              aria-label="Close"
            >Hủy bỏ</button>
            <button
              class="nt-button nt-button-warning mr-0"
              v-if="detailDeal.transactionStatus[selectItemIndex].option_value != 'Hủy bỏ'"
              @click.prevent="changeTransactionStatus(detailDeal.transactionStatus[selectItemIndex])"
              data-dismiss="modal"
            >Tiếp tục</button>
            <button
              class="nt-button nt-button-warning mr-0"
              v-else
              @click.prevent="showModalCancelReason(detailDeal.transactionStatus[selectItemIndex], selectItemIndex)"
              data-dismiss="modal"
            >Tiếp tục</button>
          </div>
        </div>
      </div>
    </div>

    <div
      data-backdrop="static"
      data-keyboard="false"
      class="modal fade s--modal"
      :id="'cancel_reason' + selectItemIndex"
      v-if="selectItemIndex != null"
    >
      <div class="modal-dialog" style="max-width: 600px;">
        <div class="modal-content">
          <div class="modal-header">
            <h3 class="modal-title">Lý do hủy</h3>
            <button
              @click.prevent="resetCancelReason()"
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">
                <i class="la la-times"></i>
              </span>
            </button>
          </div>

          <div class="modal-body">
            <form
              class="m-form m-form--state"
              :class="{ 'has-danger': errors.has('createCancelReason.cancel_reason') }"
            >
              <div class="form-group m-form__group">
                <label for="charge-users-customer" class="form-control-label nt-label">
                  Nhập lý do
                  <span class="m--font-danger">*</span>
                </label>
                <s-textarea
                  v-model="cancelReason"
                  data-vv-scope="createCancelReason"
                  v-validate="{ required: true, max: 1025 }"
                  name="cancel_reason"
                  rows="4"
                ></s-textarea>
                <div
                  class="form-control-feedback m--font-danger"
                  v-if="errors.has('createCancelReason.cancel_reason')"
                >{{ errors.first('createCancelReason.cancel_reason') }}</div>
                <div v-else>&nbsp;</div>
              </div>
            </form>
          </div>

          <div class="modal-footer">
            <button
              @click.prevent="resetCancelReason()"
              type="button"
              class="nt-button nt-button-secondary mr-2"
              data-dismiss="modal"
            >Hủy bỏ</button>
            <button
              :disabled="errors.any()"
              :class="{ 'nt-button-disabled' : errors.any() }"
              @click.prevent="addCancelReason('createCancelReason', detailDeal.transactionStatus[selectItemIndex])"
              type="submit"
              class="nt-button nt-button-warning mr-0"
            >Lưu lại</button>
          </div>
        </div>
      </div>
    </div>

    <div
      data-backdrop="static"
      data-keyboard="false"
      class="modal s--modal fade nt--modal-confirm-choice"
      id="updateTransactionStatusConfirmInfo"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <!--<h3 class="nt&#45;&#45;modal-confirm-choice-title">-->
            <!--Thông báo-->
            <!--</h3>-->
            <div class="nt--modal-confirm-choice-content">
              <div class="nt--modal-confirm-choice-content-title-top">
                Không thể chuyển đổi trạng thái giao dịch.
                <br />Vui lòng tải lại trang.
              </div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              class="nt-button nt-button-warning mr-0"
              data-dismiss="modal"
              aria-label="Close"
              @click.prevent="reloadPage()"
            >Đóng</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
